iOS 4.0 iPhone 3GS Old Bootrom

Discussion in 'iOS Jailbreak & Cydia' started by simpsons, Jul 19, 2010.

  1. simpsons

    simpsons New Member

    Joined:
    Jul 9, 2010
    Messages:
    14
    Likes Received:
    0
    Device:
    iPhone 4S (White)
    I currently have the old bootrom. I am on the official iOS4 and not previously jailbroken. My question is, is it possible to jailbreak the 3GS?
  2. b-mac 39

    b-mac 39 Well-Known Member

    Joined:
    Dec 15, 2009
    Messages:
    5,809
    Likes Received:
    60
    Device:
    iPhone 4S (White)
    Yes, with the latest redsn0w.
  3. bobby681

    bobby681 Active Member

    Joined:
    Jun 24, 2008
    Messages:
    2,588
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    No you can't. redsn0w does not support any 3GS model on 4.0.

    You can't currently jailbreak, you'd need your 3.1.2 shsh blob to downgrade which I assume you don't have seeing as you never jailbroke. You have to play the waiting game until a jailbreak is released.
  4. b-mac 39

    b-mac 39 Well-Known Member

    Joined:
    Dec 15, 2009
    Messages:
    5,809
    Likes Received:
    60
    Device:
    iPhone 4S (White)
    Thats only on new bootrom. Old bootrom is supported.
  5. bobby681

    bobby681 Active Member

    Joined:
    Jun 24, 2008
    Messages:
    2,588
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
  6. badboy.mjk

    badboy.mjk New Member

    Joined:
    Apr 6, 2010
    Messages:
    287
    Likes Received:
    0
    Device:
    iPad 2 (Black)
    Why would you need blobs you have the OLD bootrom?
  7. bobby681

    bobby681 Active Member

    Joined:
    Jun 24, 2008
    Messages:
    2,588
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    I thought this too, but I can't downgrade without error 3194 popping up so I asked here and I was told that all 3GS devices need the blobs.
  8. badboy.mjk

    badboy.mjk New Member

    Joined:
    Apr 6, 2010
    Messages:
    287
    Likes Received:
    0
    Device:
    iPad 2 (Black)
    DFU? try 3.1.3? are you holding it the wrong way?
  9. bobby681

    bobby681 Active Member

    Joined:
    Jun 24, 2008
    Messages:
    2,588
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
  10. badboy.mjk

    badboy.mjk New Member

    Joined:
    Apr 6, 2010
    Messages:
    287
    Likes Received:
    0
    Device:
    iPad 2 (Black)
    As said before tried 3.1.3 because theirs is a thing in spirit can't quite member brb

Share This Page